# Create USD Account

To create a USD account for the customer, the customer must be fully enrolled using the create customer endpoint, which in turn returns a tracking/customer ID to be used in your USD virtual account request. Check [here](/subaccount/create-customer-full-kyc.md)

<mark style="color:green;">`POST`</mark> {{base\_url}}/`business/`create-globalaccount

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| authorization<mark style="color:red;">\*</mark> | String | SECRET\_KEY |

#### Request Body

<table><thead><tr><th>Name</th><th width="247">Type</th><th>Description</th></tr></thead><tbody><tr><td>customerid<mark style="color:red;">*</mark></td><td>String</td><td>Customer tracking ID returned from the fully kyc create customer endpoint. See <a href="/pages/LDHKKMofug6xqm0rxIDf">here</a></td></tr><tr><td>monthly_volume<mark style="color:red;">*</mark></td><td>String</td><td>What is the expected monthly volume of payments the customer will be sending or receiving? <br>Expected value must be any of the following; e.g <em>0_4999, 5000_9999, 10000_49999, 50000_plus</em></td></tr><tr><td>source_of_funds<mark style="color:red;">*</mark></td><td>String</td><td>The customer source of funds. Available options: <em>company_funds, ecommerce_reseller, gambling_proceeds, gifts, government_benefits, inheritance, investments_loans, pension_retirement, salary, sale_of_assets_real_estate, savings, someone_elses_funds ​</em>  </td></tr><tr><td>expected_montly_fund<mark style="color:red;">*</mark></td><td>String</td><td>What is the expected monthly volume of payments the customer will be sending or receiving? <br>Available options: <em>0_4999, 5000_9999, 10000_49999, 50000_plus</em></td></tr><tr><td>account_purpose<mark style="color:red;">*</mark></td><td>String</td><td>What is the primary purpose of requesting for the account by the customer? <br>Available options: <em>charitable_donations, ecommerce_retail_payments, investment_purposes, operating_a_company, other, payments_to_friends_or_family_abroad, personal_or_living_expenses, protect_wealth, purchase_goods_and_services, receive_payment_for_freelancing, receive_salary</em></td></tr><tr><td>account_type<mark style="color:red;">*</mark></td><td>String</td><td>Type of account requesting for. <br>Available option: <em>USD, EUR</em></td></tr><tr><td>occupation<mark style="color:red;">*</mark></td><td>String</td><td>What is the customer's most recent occupation? See here the list of occupations</td></tr><tr><td>pepstatus<mark style="color:red;">*</mark></td><td>Boolean</td><td>Is customer a politically exposed individual. Is the customer associated with any politician? <br>Available options: <em>true, false</em></td></tr><tr><td>agreeto_term<mark style="color:red;">*</mark></td><td>Boolean</td><td>Does the customer accept our term of use of this account?<br>Available options: <em>true, false</em></td></tr><tr><td>proof_of_address</td><td>String</td><td>URL to the customer uploaded proof of address. e.g Eletricity bill</td></tr></tbody></table>

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```json
curl --location ' {{base_url}}/business/create-globalaccount' \
--header 'Authorization: BEARER SECRET_KEY' \
--data '{
  "customerid": "BLD12211916",
  "monthly_volume": "0_4999",
  "pepstatus": false,
  "source_of_funds": "gifts",
  "expected_montly_fund": "0_4999", 
  "account_purpose": "payments_to_friends_or_family_abroad", 
  "agreeto_term": true,
  "account_type": "USD",
  "occupation": "Software Engineer",
  "proof_of_address": "https://res.cloudinary.com/site/image/upload/v1714257348/idcard2.png"
}'
```

{% endcode %}
{% endtab %}

{% tab title="NodeJS" %}

```json
var request = require('request');
var options = {
  'method': 'POST',
  'url': '{{base_url}}/business/create-globalaccount',
  'headers': {
    'Authorization': 'BEARER SECRET_KEY'
  },
  body: '{
  "customerid": "BLD12211916",
  "monthly_volume": "0_4999",
  "pepstatus": false,
  "source_of_funds": "gifts",
  "expected_montly_fund": "0_4999", 
  "account_purpose": "payments_to_friends_or_family_abroad", 
  "agreeto_term": true,
  "account_type": "USD",
  "occupation": "Software Engineer",
  "proof_of_address": "https://res.cloudinary.com/site/image/upload/v1714257348/idcard2.png"
}'

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '{{base_url}}/business/create-globalaccount',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "customerid": "BLD12211916",
  "monthly_volume": "0_4999",
  "pepstatus": false,
  "source_of_funds": "gifts",
  "expected_montly_fund": "0_4999", 
  "account_purpose": "payments_to_friends_or_family_abroad", 
  "agreeto_term": true,
  "account_type": "USD",
  "occupation": "Software Engineer",
  "proof_of_address": "https://res.cloudinary.com/site/image/upload/v1714257348/idcard2.png"
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: BEARER SECRET_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}
{% endtabs %}

### Sample Response

```json
{
  "status": true,
  "message": "Your USD account request has been submitted successfully. You will be notified once it's ready.",
  "tracking": "DLE23210UA24400"
 
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.1app.online/global-account/create-usd-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
